POST /collections/intl-card/setup{
"amount": 20,
"reference": "INTL-CARD-123456",
"cardNumber": "4456530000001005",
"expiredMonth": "01",
"expiredYear": "2029",
"customerName": "QA Test",
"customerEmail": "qa@example.com",
"narration": "International card payment"
}customerName, customerEmail, and narration are optional.{
"responseStatus": "SUCCESSFUL",
"message": "International card setup initiated successfully",
"data": {
"txnRef": "435df745-6a24-4b39-8c81-9f89da1213a0",
"reference": "INTL-CARD-123456",
"amount": "20.0",
"currency": "USD",
"ddcUrl": "https://centinelapistag.cardinalcommerce.com/V1/Cruise/Collect",
"ddcJwt": "eyJhbGciOiJIUzI1NiIs...",
"ddcForm": "<iframe name=\"ddc-iframe\" ...",
"nextAction": "LOAD_DDC"
}
}data.ddcForm into the page (or POST ddcJwt to ddcUrl in a hidden iframe named ddc-iframe). This step is required before enrollment.curl --location 'https://api-dev.asteriatechnology.io/collections/intl-card/setup' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"amount": 10,
"reference": "INTL-CARD-123456",
"cardNumber": "4456530000001005",
"expiredMonth": "01",
"expiredYear": "2029",
"customerName": "QA Test",
"customerEmail": "qa@example.com",
"narration": "International card payment"
}'{
"responseStatus": "00",
"message": "International card setup initiated successfully",
"data": {
"txnRef": "c8243a9e-d51e-4fea-b65e-8a4a05676235",
"reference": "INTL-CARD-123456",
"amount": "10.0",
"currency": "USD",
"ddcUrl": "https://centinelapistag.cardinalcommerce.com/V1/Cruise/Collect",
"ddcJwt": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJiZjMzMmJkZC0wNzUzLTRjMmMtYWJlNC1mZDVmN2UwOGI0OGQiLCJpYXQiOjE3OTI1ODk0NDMsImlzcyI6IjVkZDgzYmYwMGU0MjNkMTQ5OGRjYmFjYSIsImV4cCI6MTc5MjU5MzA0MywiT3JnVW5pdElkIjoiNmEzMjVhYWM1N2ZiNjMxNDE2MThhNjU2IiwiUmVmZXJlbmNlSWQiOiJmMDNmYTQ1Mi1lNjgxLTQ0N2EtYTc5OC0wYjRiN2NlODZjZmMifQ.TiDR98B4p3gShg3RNwoPUiu0EOeaR6N-LXv02zaplaA",
"ddcForm": "<iframe name=\"ddc-iframe\" style=\"display:none;\"></iframe>\n<form id=\"ddc-form\" method=\"POST\" action=\"https://centinelapistag.cardinalcommerce.com/V1/Cruise/Collect\" target=\"ddc-iframe\">\n <input type=\"hidden\" name=\"JWT\" value=\"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJiZjMzMmJkZC0wNzUzLTRjMmMtYWJlNC1mZDVmN2UwOGI0OGQiLCJpYXQiOjE3OTI1ODk0NDMsImlzcyI6IjVkZDgzYmYwMGU0MjNkMTQ5OGRjYmFjYSIsImV4cCI6MTc5MjU5MzA0MywiT3JnVW5pdElkIjoiNmEzMjVhYWM1N2ZiNjMxNDE2MThhNjU2IiwiUmVmZXJlbmNlSWQiOiJmMDNmYTQ1Mi1lNjgxLTQ0N2EtYTc5OC0wYjRiN2NlODZjZmMifQ.TiDR98B4p3gShg3RNwoPUiu0EOeaR6N-LXv02zaplaA\" />\n</form>\n<script>document.getElementById('ddc-form').submit();</script>",
"nextAction": "LOAD_DDC"
}
}